aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-08-03 08:42:55 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-08-03 08:47:14 +0000
commitee389ee87635e6b433dbaaab6a3b4e17ec98b0bc (patch)
treee16d4793817e58a7f875018bbb3668d4a4623292
parent6b1124f4cd0598e6710e27658fbd93e658f719c7 (diff)
downloadaports-ee389ee87635e6b433dbaaab6a3b4e17ec98b0bc.tar.gz
aports-ee389ee87635e6b433dbaaab6a3b4e17ec98b0bc.tar.bz2
aports-ee389ee87635e6b433dbaaab6a3b4e17ec98b0bc.tar.xz
main/apr-util: add driver subpackages for databases and ldap
-rw-r--r--main/apr-util/APKBUILD38
1 files changed, 28 insertions, 10 deletions
diff --git a/main/apr-util/APKBUILD b/main/apr-util/APKBUILD
index dcf8b71eee..419ab77be7 100644
--- a/main/apr-util/APKBUILD
+++ b/main/apr-util/APKBUILD
@@ -1,28 +1,32 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apr-util
pkgver=1.3.9
-pkgrel=3
-pkgdesc="The Apache Portable Runtime"
+pkgrel=4
+pkgdesc="The Apache Portable Runtime Utility Library"
url="http://apr.apache.org/"
license="APACHE"
depends=
-subpackages="$pkgname-dev"
-makedepends="apr-dev expat-dev bash"
-depends_dev="expat-dev apr-dev"
+subpackages="$pkgname-dev $pkgname-dbm_db $pkgname-dbd_pgsql $pkgname-dbd_mysql
+ $pkgname-dbd_sqlite3 $pkgname-ldap"
+makedepends="apr-dev expat-dev bash openldap-dev sqlite-dev postgresql-dev
+ mysql-dev db-dev"
+depends_dev="expat-dev apr-dev openldap-dev sqlite-dev postgresql-dev mysql-dev
+ db-dev"
source="http://www.apache.org/dist/apr/$pkgname-$pkgver.tar.bz2"
build() {
cd "$srcdir/$pkgname-$pkgver"
./configure --prefix=/usr \
--with-apr=/usr \
+ --with-ldap \
+ --with-pgsql \
+ --with-mysql \
+ --with-sqlite3 \
+ --with-berkeley-db \
--without-iconv \
- --without-pgsql \
- --without-mysql \
--without-sqlite2 \
- --without-sqlite3 \
- --without-berkeley-db \
--without-gdbm \
- --without-ldap-lib
+ || return 1
make || return 1
}
@@ -35,4 +39,18 @@ package() {
rm "$pkgdir"/usr/lib/*.exp
}
+_mv_mod() {
+ pkgdesc="The Apache Portable Runtime Utility Library - $2 driver"
+ depends=
+ local _moddir="usr/lib/apr-util-1"
+ mkdir -p "$subpkgdir"/$_moddir
+ mv "$pkgdir"/$_moddir/apr_$1*.so "$subpkgdir"/$_moddir/
+}
+
+dbm_db() { _mv_mod dbm_db "Berkley DB"; }
+dbd_pgsql() { _mv_mod dbd_pgsql "PostgreSQL"; }
+dbd_mysql() { _mv_mod dbd_mysql "MySQL"; }
+dbd_sqlite3() { _mv_mod dbd_sqlite "SQLite3"; }
+ldap() { _mv_mod ldap "LDAP"; }
+
md5sums="29dd557f7bd891fc2bfdffcfa081db59 apr-util-1.3.9.tar.bz2"